Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Flash plugin check reports the wrong version

  • 7 replies
  • 69 have this problem
  • 1716 views
  • Last reply by Chris Ilias

more options

I used Firefox 3.6.3 on Kubuntu 9 without problems. Since the update to Kubuntu 10 is encounter problems with Firefox. One is that soms falsh sites will hang Firefox after showing the video. I discovered that http://www.mozilla.com/en-US/plugincheck/ still reports Adobe flash 9 instead of the installed Debian package of flash 10 (from http://get.adobe.com/flashplayer/otherversions/ - Linux) "succesfully"

This happened

Every time Firefox opened

== Update Kubuntu10

Chosen solution

Try to delete the file pluginreg.dat in the Firefox Profile Folder and let Firefox rebuild a new version.

See http://kb.mozillazine.org/Issues_related_to_plugins

Read this answer in context 👍 3

All Replies (7)

more options

According to the info in your forum post, you've got "Shockwave Flash 9.0 r124".

If you go to Tools > Add-ons > Plugins what version of Flash does it say you have?

In any case, try using the instructions at Flash Plugin - Keep it up to date and troubleshoot problems

more options

As I said before: I already did install the Adobe flash version 10 (Debian). It "installed succesfully".

more options

Proof of succesful installation (see attached screen shot)

partial about:plugins output: Shockwave Flash

   Bestand: /home/jules/.mozilla/plugins/libflashplayer.so
   Versie: 
   Shockwave Flash 9.0 r124

MIME-type Beschrijving Achtervoegsels Actief application/x-shockwave-flash Shockwave Flash swf Ja application/futuresplash FutureSplash Player spl Ja

more options

So this looks like an issue of making Firefox detect the new version of Flash on your computer. I'm not a Debian user, but maybe there is someone else here who can help.

more options

Remove the current Flash player from /home/jules/.mozilla/plugins/libflashplayer.so If that is a link then you may have to remove (uninstall) that old Flash Player as well.

Create a symbolic link to the newly installed Flash 10.0 r45 plugin in the /home/jules/.mozilla/plugins/ directory to make Firefox find it.

more options

@Cor-el I first renamed the file /home/jules/.mozilla/plugins/libflashplayer.so to /home/jules/.mozilla/plugings/libflashplayer9.so and created the link to the /usr/lib/adobe-flashplugin/libflashplugin.so In firefox about:plugins just detected the renamed file and still reported flash version 9 Then I deleted the file libflashplugin9.so In firefox about:plugins now reports the file /usr/lib/adobe-flashplugins/libflashplugin.so to be flash version 9 !!

more options

Chosen Solution

Try to delete the file pluginreg.dat in the Firefox Profile Folder and let Firefox rebuild a new version.

See http://kb.mozillazine.org/Issues_related_to_plugins